# compute the complex twiddle factor multiplication R + jI = (X + jY) x (C + jS)

class EfficientComplexMultiplier(object):
	"""docstring for ClassName"""
	def __init__(self, arg):
		super(EfficientComplexMultiplier, self).__init__()
		self.arg = arg

	def multiply(self, X, Y, C, C_plus_S, C_minus_S):
		Z = C * ( X - Y)
		R = C_minus_S * Y + Z
		I = C_plus_S * X - Z
		return [R, I]
